#
# Conditional build:
%bcond_without	python	# don't build python bindings
#
Summary:	Little CMS - a library to transform between colour profiles
Summary(pl.UTF-8):	Little CMS - biblioteka do konwersji między profilami kolorów
Name:		lcms
Version:	1.19
Release:	4
License:	MIT
Group:		Libraries
Source0:	http://downloads.sourceforge.net/lcms/%{name}-%{version}.tar.gz
# Source0-md5:	8af94611baf20d9646c7c2c285859818
Patch0:		%{name}-python.patch
URL:		http://www.littlecms.com/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.7.2
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	sed >= 4.0
%if %{with python}
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	swig-python >= 1.3.30
%endif
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Little CMS intends to be a small-footprint color management engine,
with special focus on accuracy and performance. It uses the
International Color Consortium standard (ICC), which is the modern
standard when regarding to color management.

Little CMS 1.x supports ICC profile specification v3.4.

%description -l pl.UTF-8
Little CMS jest lekkim silnikiem zarządzania kolorami, tworzonym
przede wszystkim z myślą o dokładności i wydajności. Wykorzystuje
standard International Color Consortium (ICC), będący współczesnym
standardem zarządzania kolorami.

Little CMS 1.x obsługuje specyfikację profili ICC w wersji 3.4.

%package devel
Summary:	Little CMS - header files and developer's documentation
Summary(pl.UTF-8):	Little CMS - pliki nagłówkowe i dokumentacja
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files needed to compile programs with liblcms and some
documentation useful for programmers.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do konsolidacji z liblcms oraz dokumentacja
dla programistów.

%package static
Summary:	Little CMS - static library
Summary(pl.UTF-8):	Little CMS - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of liblcms.

%description static -l pl.UTF-8
Statyczna biblioteka liblcms.

%package progs
Summary:	Example and demonstration programs for Little CMS
Summary(pl.UTF-8):	Programy przykładowe i demonstracyjne do Little CMS
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
Example and demonstration programs for Little CMS.

%description progs -l pl.UTF-8
Programy przykładowe i demonstracyjne do Little CMS.

%package -n python-lcms
Summary:	Little CMS module for Python
Summary(pl.UTF-8):	Moduł Little CMS dla Pythona
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python

%description -n python-lcms
Little CMS module for Python.

%description -n python-lcms -l pl.UTF-8
Moduł Little CMS dla Pythona.

%prep
%setup -q
%undos configure.ac
%patch0 -p1

%build
# rebuild using newer swig (needed for g++ 4/python 2.5)
cd python
rm -f lcms.py lcms_wrap.cxx
swig -python -c++ -I../include lcms.i
cd ..
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with%{!?with_python:out}-python

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install samples/{icctrans,wtpt} tifficc/tifficc $RPM_BUILD_ROOT%{_bindir}

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README.1ST
%attr(755,root,root) %{_libdir}/liblcms.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblcms.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/liblcms.so
%{_libdir}/liblcms.la
%{_includedir}/icc34.h
%{_includedir}/lcms.h
%{_pkgconfigdir}/lcms.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblcms.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/icc2ps
%attr(755,root,root) %{_bindir}/icclink
%attr(755,root,root) %{_bindir}/icctrans
%attr(755,root,root) %{_bindir}/jpegicc
%attr(755,root,root) %{_bindir}/tiffdiff
%attr(755,root,root) %{_bindir}/tifficc
%attr(755,root,root) %{_bindir}/wtpt
%{_mandir}/man1/icc2ps.1*
%{_mandir}/man1/icclink.1*
%{_mandir}/man1/jpegicc.1*
%{_mandir}/man1/tifficc.1*
%{_mandir}/man1/wtpt.1*

%if %{with python}
%files -n python-lcms
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_lcms.so
%{py_sitedir}/lcms.py
%endif
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lcms.git;a=log;h=master

* Thu Feb 26 2015 Elan Ruusamäe <glen@delfi.ee> e3c3015
- x32 rebuild
- release 4 (by relup.sh)

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 32989d8
- release 3

* Wed Dec 08 2010 lisu <lisu@pld-linux.org> 2c5ebcc
- resurected

* Wed Dec 08 2010 lisu <lisu@pld-linux.org> 8c35cf1
- obsoleted by lcms2

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 656b5b0
- release 2

* Tue Nov 16 2010 lisu <lisu@pld-linux.org> 8ddd0ee
- BR: rpmbuild(macros) >= 1.566 for %%undos macro

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 397c900
- cleanup

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 476668a
- updated base desc
- more verbose files

* Sat Aug 14 2010 lisu <lisu@pld-linux.org> 4977361
- up to 1.19
- use %%undos instead of dos2unix
- TODO (create lcms2.spec)

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cbc15f
- release 5

* Fri Jan 29 2010 amateja <amateja@pld-linux.org> e14b727
- release 4

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> 4bb6fa7
- BR: python-modules, rpm-pythonprov

* Fri Jul 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> fc92757
- release 3

* Fri Mar 27 2009 Marcin Banasiak <marcin.banasiak@gmail.com> a855e4c
- undos configure.ac
- release 2

* Thu Mar 26 2009 Jakub Bogusz <qboosh@pld-linux.org> 3d8ffed
- updated to 1.18 (fixes CVE-2009-0581 CVE-2009-0723 CVE-2009-0733)

* Thu Mar 26 2009 Jakub Bogusz <qboosh@pld-linux.org> 92138a5
- updated for 1.18

* Thu Dec 18 2008 Elan Ruusamäe <glen@pld-linux.org> 91d84ad
- release 3

* Thu Dec 18 2008 Elan Ruusamäe <glen@pld-linux.org> f723569
- ghost soname symlink

* Tue Oct 14 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 9cefcb8
- release 2

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 896f792
- updated to 1.17
- License is MIT currently

